org.eclipse.wst.jsdt.chromium

## Interface BreakpointTypeExtension.FunctionSupport

Enclosing interface:
  BreakpointTypeExtension

    public static interface BreakpointTypeExtension.FunctionSupport

Supports targets that refer to function text in form of function-returning JavaScript expression. E.g. you can set a breakpoint on the 5th line of user method addressed as 'PropertiesDialog.prototype.loadData'. Expression is calculated immediately and never recalculated again.

### Nested Class Summary

Nested Classes
`static interface` `BreakpointTypeExtension.FunctionSupport.Visitor<R>` Additional interface that user visitor may implement for `Breakpoint.Target.accept(org.eclipse.wst.jsdt.chromium.Breakpoint.Target.Visitor<R>)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`Breakpoint.Target` `createTarget(java.lang.String expression)`

### Method Detail

#### createTarget

    Breakpoint.Target createTarget(java.lang.String expression)

Returns:
  not null